class Mitarbeiter
{
	private String name;
	private String vorname;
	private int gehalt;
		
	Mitarbeiter (String pName, String pVorname, int pGehalt)
	{
		name = pName;
		vorname = pVorname;
		gehalt = pGehalt;
	}
	void gehaltErhoehen (int paraErhoehung)
	{
		if (paraErhoehung > 0)
		gehalt += paraErhoehung;
		else throw new IllegalArgumentException("Gehalt kann nur erhöht werden!");
	}
	
	public int getGehalt()
	{
		return gehalt;
	}
		
	public String getName()
	{
		return name;
	}
	
	public String getVorname()
	{
		return vorname;
	}
	
	public void setName(String pName)
	{
		name = pName;
	}	
	
	public void setVorname (String pVorname)
	{
		vorname = pVorname;
	}	
	
	public void setGehalt (int pGehalt)
	{
		if (pGehalt>=0)
		{
			gehalt = pGehalt;
		}
		else
			throw new IllegalArgumentException("Ein Gehalt kann nicht negativ werden!");
		
	}	
	
}